<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: png/writepng.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_faf003682c2bcfc217df395c6fafe5c7.html">png</a>
  </div>
</div>
<div class="contents">
<h1>writepng.h</h1><a href="writepng_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="comment">/* $Id: writepng.h 2962 2010-02-04 19:50:44Z scholz $ */</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef WRITEPNG_H</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define WRITEPNG_H</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="griddata_8h.html">griddata.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;png.h&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="keywordtype">int</span> <a class="code" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456">WritePNG</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00034"></a>00034 <span class="keywordtype">int</span> <a class="code" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680">WritePNGinit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keywordtype">int</span> <a class="code" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341">WritePNG2</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00037"></a>00037 <span class="keywordtype">int</span> <a class="code" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93">WritePNG2init</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keywordtype">int</span> <a class="code" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb">WritePNGfile</a>(<span class="keywordtype">char</span> *file_name, <span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height, png_bytepp image, <span class="keywordtype">char</span> *desc);
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="preprocessor">#endif</span>
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

